Subject: bug#188: closed (Re: bug#188: 23.0.60; Custom-save deleting custom file)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jul 2011 02:52:03 +0000

Your bug report

#188: 23.0.60; Custom-save deleting custom file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
188: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=188
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#188: 23.0.60; Custom-save deleting custom file
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sun, 10 Jul 2011 22:51:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I also cannot reproduce this, so I am closing this.
If you still see this with the latest version of Emacs, please reply and
we can reopen this if needed.

Chong Yidong wrote:

> I don't see any problem.  If the custom-file was originally empty, that
> above result is what I see.  But if the custom-file originally contains
> customizations (which is not explained in your recipe, but which I
> tried), those customizations are not lost.  Where's the problem?

>From [email-masked] Sun May  4 06:04:51 2008
From: Bastien Guerry <[email-masked]>
To: [email-masked]
Date: Sun, 04 May 2008 15:04:11 +0200
Cc: 
Subject: 23.0.60; Custom-save deleting custom file
Sender: emacs-devel-bounces+monnier=[email-masked]

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Saving a change with Custom-save deletes the old custom file (in my case
~/.emacs-custom.el).  This is quite annoying if you don't have backups. 

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.12.9)
 of 2008-05-04 on bzg.ath.cx
Windowing system distributor `The X.Org Foundation', version 11.0.10400090
configured using `configure  '--enable-font-backend' '--with-x-toolkit=gtk''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-undo-mode: t
  display-time-mode: t
  delete-selection-mode: t
  pc-selection-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
<C-down> <down> C-e C-a <C-right> C-e C-a <C-down> 
<down> C-e C-a <C-right> C-e C-a <C-up> <up> C-e C-z 
c <f1> C-n C-n C-n C-n C-n C-n C-n C-n j e m a <tab> 
. <backspace> <return> C-u 1 0 0 0 <return> / s c u 
s t o m <return> <C-down> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <C-down> <up> 
<up> <down> <return> M-x r e p o <tab> r <tab> b u 
g <tab> <return> C u s t M-x c u s <tab> C-x C-x o 
C-x o C-x o <tab> C-g C-g <return> <return> <return> 
q g M-x c u s a <tab> - <backspace> <backspace> t <tab> 
C-g M-x c u s <tab> - f a <tab> <return> <return> <C-down> 
<C-down> C-h k C-x C-s C-x 1 C-x k <return> g M-x r 
e p o r <tab> b u <tab> <return> C u s t o m - s a 
v e SPC d e l e t e <C-backspace> o <backspace> o <backspace> 
d e l e t i n g SPC o l d SPC <C-backspace> <C-backspace> 
d e e l <backspace> <backspace> l e t i n g SPC o l 
d . <backspace> SPC ~ / <backspace> <backspace> <backspace> 
C-z c <backspace> SPC c i <backspace> u s t o m SPC 
C-x o C-z c C-x C-f C-x o C-x o s m d l f k s d m f 
l k s d m f l k s d f C-x o C-x o f i l e C-a C-e <C-left> 
<C-left> <C-backspace> C-e C-a C-e <C-left> C-a C-e 
<C-left> <C-left> <C-left> C-a C-e <C-left> C-e C-a 
C-e <return> C-x o C-e <return> C-x o C-g C-g g M-x 
<up> <return>

Recent messages:
nnml: Reading incoming mail (no new mail)...done
nndiary: Reading incoming mail from file...
nndiary: Reading incoming mail (no new mail)...done
Killed inactive buffer: *Help*.
Entering debugger... [3 times]
Quit [2 times]
nnml: Reading incoming mail from file...
nnml: Reading incoming mail (no new mail)...done
nndiary: Reading incoming mail from file...
nndiary: Reading incoming mail (no new mail)...done

-- 
Bastien